#pragma once

#include <QJsonObject>
#include <QStringList>

class SoftwareFilter
{
public:
    SoftwareFilter(const QJsonObject &ob);

    bool matchName(const QString& name) const;
    bool matchBinary(const QString& binary) const;

    QString id;
    QString category;
    QStringList nameFilters;
    QStringList binaryFilters;
};

